libgdamm Reference Documentation

Main Page Namespaces Book

# object.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::Object
| The base class for many of the libgda objects. More...

## Enumerations

enum

Gnome::Gda::ValueAttribute {
Gnome::Gda::VALUE_ATTR_NONE = 0,
Gnome::Gda::VALUE_ATTR_IS_NULL = 1 << 0,
Gnome::Gda::VALUE_ATTR_CAN_BE_NULL = 1 << 1,
Gnome::Gda::VALUE_ATTR_IS_DEFAULT = 1 << 2,
Gnome::Gda::VALUE_ATTR_CAN_BE_DEFAULT = 1 << 3,
Gnome::Gda::VALUE_ATTR_IS_UNCHANGED = 1 << 4,
Gnome::Gda::VALUE_ATTR_ACTIONS_SHOWN = 1 << 5,
Gnome::Gda::VALUE_ATTR_DATA_NON_VALID = 1 << 6,
Gnome::Gda::VALUE_ATTR_HAS_VALUE_ORIG = 1 << 7,
Gnome::Gda::VALUE_ATTR_NO_MODIF = 1 << 8,
Gnome::Gda::VALUE_ATTR_UNUSED = 1 << 9
}

Bitwise operators:
  `ValueAttribute operator|(ValueAttribute, ValueAttribute)`
  `ValueAttribute operator&(ValueAttribute, ValueAttribute)`
  `ValueAttribute operator^(ValueAttribute, ValueAttribute)`
  `ValueAttribute operator~(ValueAttribute)`
  `ValueAttribute& operator|=(ValueAttribute&, ValueAttribute)`
  `ValueAttribute& operator&=(ValueAttribute&, ValueAttribute)`
  `ValueAttribute& operator^=(ValueAttribute&, ValueAttribute)`

More...

## Functions

ValueAttribute | Gnome::Gda::operator& (ValueAttribute lhs, ValueAttribute rhs)
ValueAttribute& | Gnome::Gda::operator&= (ValueAttribute& lhs, ValueAttribute rhs)
ValueAttribute | Gnome::Gda::operator^ (ValueAttribute lhs, ValueAttribute rhs)
ValueAttribute& | Gnome::Gda::operator^= (ValueAttribute& lhs, ValueAttribute rhs)
ValueAttribute | Gnome::Gda::operator| (ValueAttribute lhs, ValueAttribute rhs)
ValueAttribute& | Gnome::Gda::operator|= (ValueAttribute& lhs, ValueAttribute rhs)
ValueAttribute | Gnome::Gda::operator~ (ValueAttribute flags)